
function f = rechteSeite(t,y)
    g=9.81;
    d=0.1;
    r=d/2;
    m1=1; //Schienenkörper
    m2=1; //Pendel
    h=1;
    l=2*h;
   
    J2 = (1/4)*m2*r*r + (1/12)*m2*l*l;

    FA = 0; //Antrieb zunächst 0, später Regler.

    x     = y(1,1);
    v     = y(2,1);
    phi   = y(3,1);
    omega = y(4,1);

    a11 = 1/m2 + 1/m1 + (h*h*cos(phi)*cos(phi))/J2;
    a12 = h*h*sin(phi)*cos(phi);
    a21 = (h*h*sin(phi)*cos(phi))/J2;
    a22 = 1/m2 + (h*h*sin(phi)*sin(phi))/J2;
    b1 = h*omega*omega*sin(phi)+FA/m1;
    b2 = -h*omega*omega*cos(phi) + g;

    FxFy = inv([a11,a12;a21,a22])*[b1;b2];
    Fx = FxFy(1);
    Fy = FxFy(2);

    f(1,1) = v;
    f(2,1) = FA-Fx;
    f(3,1) = omega;
    f(4,1) = (h*Fy*sin(phi)+h*Fx*cos(phi))/J2;
endfunction

t = 0:0.01:15;
y0 = [0,0,0.5,0]';
t0 = 0;
y  = ode(y0,t0,t,rechteSeite);

plot(t,y(1,:)',t,y(3,:)');



zs = size(y);

mat = t;y(1,:)';y(2,:)';y(3,:)';y(4,:)';

fprintfMat('out.txt',mat');


